image: maven:lates

stages:
  - build
  - deploy
  
build:
  stage: build
  tags:
   - quantr-boolean-algebra-library
  script:
    - mvn $MAVEN_CLI_OPTS -DskipTests compile

deploy to quantr maven:
  stage: deploy
  tags:
   - quantr-boolean-algebra-library
  script:
   - mvn -DskipTests install deploy

